跳转到主要内容
POST
Check If Date Is Working Day

请求规范

  • 方法与路径: POST /apis/v1/api-ninjas/check-is-working-day
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/api-ninjas/check-is-working-day
  • Runtime 事实版本: 80f6d0ab09ca1b2bfaa51bc30934eca7d1f0ea7e38c9d075b9100f098998c5d9
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

按用量计费;默认请求预估费用:$0.00089 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 默认请求参考估价(USD): 0.00089
  • 声明的单位费率(USD): 1e-06
  • 计费单位: provider_credit
  • 计费依据: response_units
  • 公开参考倍率: 1.0
  • 声明的最大计数或单位数: 10000000
  • 结算证据来源: response_body

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
date
string
必填

Date in YYYY-MM-DD format. Must be between 1980-01-01 and 2050-12-31 (inclusive).

Pattern: ^\d{4}-\d{2}-\d{2}$
示例:

"2026-02-15"

"2025-12-25"

"2024-07-04"

country
string
必填

Country code (2-letter ISO 3166-1 alpha-2 code, e.g., 'US' for United States, 'GB' for United Kingdom).

Required string length: 2
示例:

"US"

"GB"

"DE"

"FR"

"JP"

weekend_days
string

Comma-separated list of weekend days (mon,tue,wed,thu,fri,sat,sun). Optional: if not provided, default weekend days are determined by country.

示例:

"sat,sun"

"fri,sat"

"sun"

include_holidays
boolean

Whether to include public holidays as non-working days. Defaults to true if not specified.

响应

Tool result data

date
string
必填
country
string
必填
is_workday
boolean
必填
day_of_week
string
必填
non_working_reason
string[]
public_holiday_name
string